#!/usr/bin/perl

use strict;
use warnings;

my $func = 'OF';
my $tail = '((void))';

if (($func =~ /^[A-Z]+$/) && ($tail =~ /^\(\(.+\)\)$/)) {
    print "OK\n";
} else {
    print "regex FAILED\n";
}

